<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class pros_Controller extends Controller
{
    public $selfName = 'pros_Controller';
    public $dashboardName = 'dashboard';

	// GET /pros
	public function index(Request $request) {
		$records = DB::table('pro')->get();
		return response()->view('admin/pros/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/add_new
	public function add_new(Request $request) {
		$records = DB::table('pro')->get();
		return response()->view('admin/pros/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/pros/view/$uid/SUB_dashboard");
	}
}
